TruncatedStyledStringStamp = function(canvas, rect, styledString, paint, halign, valign)
    if styledString then
        styledString = styledString:truncate(rect:width())
        StyledStringStamp(canvas, rect, styledString, paint, halign, valign)
    end
end

return TruncatedStyledStringStamp
